@echo off
REM Install Certificate for filter1.fusion.rzc.cudaops.com
REM   our Barracuda Network's Web Security Agent server
REM   good for School year 2014-15

set LOGFILE=c:\ocs\%date:~10,4%_%date:~4,2%_%date:~7,2%_ocs.log
set MSILOG=c:\ocs\%date:~10,4%_%date:~4,2%_%date:~7,2%_wsa-msi.log
set PWDIR=%~dp0
set MSICMD=
set CERTCMD=
set QUIET=NO

mkdir c:\ocs > nul 2>&1

REM ====================================================================
REM  check for any command line options
REM  use the /q option when run via OCS to put in quiet mode
REM ====================================================================
    set arg=%1
    if "%arg%" == "-q" (
       set QUIET=YES
    )

REM ====================================================================
REM Check if I am on a 64-bit machine or not.  On the 64-bit machines,
REM OCS runs in a 32-bit command prompt.  But I need the installer to 
REM via the 64-bit command prompt.
REM ====================================================================
if exist %WINDIR%\sysnative\cmd.exe (
	REM I am on a 64bit machine, running the 32bit command prompt
	set MSICMD=%WINDIR%\sysnative\msiexec.exe
	set CERTCMD=%WINDIR%\sysnative\certutil.exe
) ELSE (
	REM I must be on a 32bit machine, or already running at the 64bit
	REM command prompt
	set MSICMD=msiexec.exe
	set CERTCMD=certutil.exe
)

REM ====================================================================
REM    Install the cert
REM ====================================================================
echo [[ %DATE% %TIME% ]] Installing Barracuda Networks certificate  >> %LOGFILE%
%CERTCMD% -f -addstore Root "%PWDIR%\Barracuda_47_WSA.cer" >> %LOGFILE% 2>&1
